/*********************************************************************************************
 * (c) COPYRIGHT 2021 by NetModule AG, Switzerland.  All rights reserved.
 * -------------------------------------------------------------------------------------------
 *
 * system-state-private MODULE
 *
 * -------------------------------------------------------------------------------------------
 *
 * FILENAME      : system-state-private.h
 * CREATION DATE : Jan 15, 2021
 * TARGET        : generic
 *
 *********************************************************************************************/
#ifndef _SYSTEM_STATE_PRIVATE_H_
#define _SYSTEM_STATE_PRIVATE_H_

#include <nmapp/sys/system-state.h>


#ifdef __cplusplus
extern "C" {
#endif


/*********************************************************************************************
 *        PRIVATE DECLARATIONS
 *********************************************************************************************/


typedef struct __SystemStatePrivate
{
    ILogRef          logRef;
    IUnixInitSysRef  initSysItf;
    bool             isSystemUp;
} SystemStatePrivate_t;


/*********************************************************************************************
 *        PRIVATE FUNCTIONS
 *********************************************************************************************/


#ifdef __cplusplus
}
#endif

#endif /* _SYSTEM_STATE_PRIVATE_H_ */
