/*********************************************************************************************
 * (c) COPYRIGHT 2020 by NetModule AG, Switzerland.  All rights reserved.
 * -------------------------------------------------------------------------------------------
 *
 * FileOperation Private HEADER
 *
 * -------------------------------------------------------------------------------------------
 *
 * FILENAME      : FileOperation-private.h
 * CREATION DATE : Apr 2, 2020
 * TARGET        : embedded Linux
 *
 *********************************************************************************************/
#ifndef _FILE_FILEOPERATION_PRIVATE_H_
#define _FILE_FILEOPERATION_PRIVATE_H_

#include <stdio.h>                   // for FILE
#include <nmapp/types/nm-types.h>
#include <nmapp/file/FileOperation.h>

#ifdef __cplusplus
extern "C" {
#endif


/*********************************************************************************************
 *        PRIVATE DECLARATIONS
 *********************************************************************************************/

typedef struct __FileOperationPrivate
{
    IFileOperationRef itf;
    ILogRef           logRef;
    const char*       fileName;
    FILE*             file;
} FileOperationPrivate_t;


/*********************************************************************************************
 *        PRIVATE FUNCTIONS
 *********************************************************************************************/

#ifdef __cplusplus
}
#endif

#endif /* SRC_FILE_FILEOPERATION_PRIVATE_H_ */
