/*********************************************************************************************
 * (c) COPYRIGHT 2021 by NetModule AG, Switzerland.  All rights reserved.
 * -------------------------------------------------------------------------------------------
 *
 * IIoctlOperation-protected HEADER
 *
 * -------------------------------------------------------------------------------------------
 *
 * FILENAME      : IIoctlOperation-protected.h
 * CREATION DATE : Oct 21, 2021
 * TARGET        : generic
 *
 *********************************************************************************************/
#ifndef SRC_FILE_IIOCTLOPERATION_PROTECTED_H_
#define SRC_FILE_IIOCTLOPERATION_PROTECTED_H_

#include <nmapp/file/IIoctlOperation.h>

#ifdef __cplusplus
extern "C" {
#endif


/*********************************************************************************************
 *        PROTECTED DECLARATIONS
 *********************************************************************************************/

typedef struct __IIoctlOperationProtected
{
    IIoctlOperationImplRef myImpl;
    int (*request)(IIoctlOperationImplRef implRef, const char* fileName, unsigned long request, void *argp);
    void (*mmcRequest)(IIoctlOperationImplRef implRef, const char* devPath, void* pIocCmd, void* pData);
} IIoctlOperationProtected_t;


/*********************************************************************************************
 *        GLOBAL FUNCTIONS
 *********************************************************************************************/


#ifdef __cplusplus
}
#endif

#endif /* SRC_FILE_IIOCTLOPERATION_PROTECTED_H_ */
