/*********************************************************************************************
 * (c) COPYRIGHT 2021 by NetModule AG, Switzerland.  All rights reserved.
 * -------------------------------------------------------------------------------------------
 *
 * IoctlOperation-private HAEDER
 *
 * -------------------------------------------------------------------------------------------
 *
 * FILENAME      : IoctlOperation-private.h
 * CREATION DATE : Oct 21, 2021
 * TARGET        : embedded Linux
 *
 *********************************************************************************************/
#ifndef SRC_FILE_IOCTLOPERATION_PRIVATE_H_
#define SRC_FILE_IOCTLOPERATION_PRIVATE_H_

#include <sys/ioctl.h>
#include <nmapp/types/nm-types.h>
#include <nmapp/file/IoctlOperation.h>

#ifdef __cplusplus
extern "C" {
#endif


/*********************************************************************************************
 *        PRIVATE DECLARATIONS
 *********************************************************************************************/

typedef struct __IoctlOperationPrivate
{
    IIoctlOperationRef itf;
    ILogRef            logRef;
} IoctlOperationPrivate_t;



/*********************************************************************************************
 *        PRIVATE FUNCTIONS
 *********************************************************************************************/

#ifdef __cplusplus
}
#endif

#endif /* SRC_FILE_IOCTLOPERATION_PRIVATE_H_ */
